# KmlFeatureData

#### new Cesium.KmlFeatureData()
DataSources/KmlDataSource.js 3178

Contains KML Feature data loaded into the `Entity.kml` property by `KmlDataSource`.

### Members

#### address : String
DataSources/KmlDataSource.js 3225

Gets the unstructured address field.

#### author : KmlFeatureData.Author
DataSources/KmlDataSource.js 3191

Gets the atom syndication format author field.

#### extendedData : String
DataSources/KmlDataSource.js 3242

Gets the extended data, parsed into a JSON object. Currently only the `Data` property is supported. `SchemaData` and custom data are ignored.

#### link : KmlFeatureData.Link
DataSources/KmlDataSource.js 3212

Gets the link.

#### phoneNumber : String
DataSources/KmlDataSource.js 3230

Gets the phone number.

#### snippet : String
DataSources/KmlDataSource.js 3235

Gets the snippet.

### Type Definitions

#### Cesium.KmlFeatureData.Author
DataSources/KmlDataSource.js 3179

##### Properties:

Name | Type | Description
--- | --- | ---
`name` | String | Gets the name.
`uri` | String | Gets the URI.
`age` | Number | Gets the email.

#### Cesium.KmlFeatureData.Link
DataSources/KmlDataSource.js 3197

##### Properties:

Name | Type | Description
--- | --- | ---
`href` | String | Gets the href.
`hreflang` | String | Gets the language of the linked resource.
`rel` | String | Gets the link relation.
`type` | String | Gets the link type.
`title` | String | Gets the link title.
`length` | String | Gets the link length.